<?php
/*
* JEZ Thema Joomla! 1.5 Theme Base :: Output Overrides
*
* @package		JEZ Thema
* @version		1.0.0
* @author		JoomlaEZ.com
* @copyright	Copyright (C) 2008 JoomlaEZ.com. All rights reserved
* @license		Commercial Proprietary
*
* Please visit http://joomlaez.com/ for more information
*/

/*----------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access');

$titleStyle	= $this->params->get('show_page_title', 1) ? '' : ' hide';
?>
<div id="jezComOutput" class="newsfeed tr <?php echo $this->params->get('pageclass_sfx'); ?>" style="direction: <?php echo $this->newsfeed->rtl ? 'rtl' :'ltr'; ?>; text-align: <?php echo $this->newsfeed->rtl ? 'right' :'left'; ?>">
<h1 class="componentheading">
	<?php if ($this->params->get('page_title') != '') : ?>
	<span class="<?php echo $titleStyle; ?>"><?php echo $this->escape($this->params->get('page_title')); ?> /</span>
	<?php
	endif;
	$cTitle = str_replace('&apos;', "'", $this->newsfeed->channel['title']);
	?>
	<a href="<?php echo $this->newsfeed->channel['link']; ?>" title="<?php echo $cTitle; ?>" target="_blank">
		<?php echo $cTitle; ?>
	</a>
</h1>
<?php if (
	$this->params->get( 'show_feed_description' )
	||
	(isset($this->newsfeed->image['url']) && isset($this->newsfeed->image['title']) && $this->params->get( 'show_feed_image' ))
) : ?>
<p class="info clearfix">
	<?php
	if ($this->params->get( 'show_feed_description' ))
		echo str_replace('&apos;', "'", $this->newsfeed->channel['description']);

	if ( isset($this->newsfeed->image['url']) && isset($this->newsfeed->image['title']) && $this->params->get( 'show_feed_image' ) ) : ?>
	<img src="<?php echo $this->newsfeed->image['url']; ?>" alt="<?php echo $this->newsfeed->image['title']; ?>" class="right" />
	<?php endif; ?>
</p>
<?php endif; ?>
<ul class="listing">
<?php for ($i = 0; $i < count($this->newsfeed->items); $i++) :
	$item = $this->newsfeed->items[$i]; ?>
<li>
	<?php if ( !is_null( $item->get_link() ) ) : ?>
	<h2><a href="<?php echo $item->get_link(); ?>" title="<?php echo $item->get_title(); ?>" target="_blank"><?php echo $item->get_title(); ?></a></h2>
	<?php endif;

	if ($this->params->get( 'show_item_description' ) && $item->get_description()) : ?>
	<p class="intro">
		<?php
		$text = $this->limitText($item->get_description(), $this->params->get( 'feed_word_count' ));
		echo str_replace('&apos;', "'", $text);
		?>
	</p>
	<?php endif;

	if ($i + 1 < count($this->newsfeed->items)) : ?>
	<span class="article_separator">&nbsp;</span>
	<?php endif; ?>
</li>
<?php endfor; ?>
</ul>
</div>
